# OnnxRuntime: Ort::detail::ConstSessionImpl< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::ConstSessionImpl< T > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::detail::ConstSessionImpl< T >:

## Public Types

using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T

## Public Member Functions

size_t | GetInputCount () const
| Returns the number of model inputs.
size_t | GetOutputCount () const
| Returns the number of model outputs.
size_t | GetOverridableInitializerCount () const
| Returns the number of inputs that have defaults that can be overridden.
AllocatedStringPtr | GetInputNameAllocated (size_t index, OrtAllocator *allocator) const
| Returns a copy of input name at the specified index.
AllocatedStringPtr | GetOutputNameAllocated (size_t index, OrtAllocator *allocator) const
| Returns a copy of output name at then specified index.
AllocatedStringPtr | GetOverridableInitializerNameAllocated (size_t index, OrtAllocator *allocator) const
| Returns a copy of the overridable initializer name at then specified index.
uint64_t | GetProfilingStartTimeNs () const
| Wraps OrtApi::SessionGetProfilingStartTimeNs.
ModelMetadata | GetModelMetadata () const
| Wraps OrtApi::SessionGetModelMetadata.
TypeInfo | GetInputTypeInfo (size_t index) const
| Wraps OrtApi::SessionGetInputTypeInfo.
TypeInfo | GetOutputTypeInfo (size_t index) const
| Wraps OrtApi::SessionGetOutputTypeInfo.
TypeInfo | GetOverridableInitializerTypeInfo (size_t index) const
| Wraps OrtApi::SessionGetOverridableInitializerTypeInfo.
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Member Typedef Documentation

## B

template<typename T >

using Ort::detail::ConstSessionImpl< T >::B = Base<T>

## Member Function Documentation

## GetInputCount()

template<typename T >

size_t Ort::detail::ConstSessionImpl< T >::GetInputCount | ( |  | ) | const

Returns the number of model inputs.

## GetInputNameAllocated()

template<typename T >

AllocatedStringPtr Ort::detail::ConstSessionImpl< T >::GetInputNameAllocated | ( | size_t | index,
|  | OrtAllocator * | allocator
| ) |  | const

Returns a copy of input name at the specified index.

Parameters

  index | must less than the value returned by GetInputCount()
  allocator | to allocate memory for the copy of the name returned

Returns
  a instance of smart pointer that would deallocate the buffer when out of scope. The OrtAllocator instances must be valid at the point of memory release.

## GetInputTypeInfo()

template<typename T >

TypeInfo Ort::detail::ConstSessionImpl< T >::GetInputTypeInfo | ( | size_t | index | ) | const

Wraps OrtApi::SessionGetInputTypeInfo.

## GetModelMetadata()

template<typename T >

ModelMetadata Ort::detail::ConstSessionImpl< T >::GetModelMetadata | ( |  | ) | const

Wraps OrtApi::SessionGetModelMetadata.

## GetOutputCount()

template<typename T >

size_t Ort::detail::ConstSessionImpl< T >::GetOutputCount | ( |  | ) | const

Returns the number of model outputs.

## GetOutputNameAllocated()

template<typename T >

AllocatedStringPtr Ort::detail::ConstSessionImpl< T >::GetOutputNameAllocated | ( | size_t | index,
|  | OrtAllocator * | allocator
| ) |  | const

Returns a copy of output name at then specified index.

Parameters

  index | must less than the value returned by GetOutputCount()
  allocator | to allocate memory for the copy of the name returned

Returns
  a instance of smart pointer that would deallocate the buffer when out of scope. The OrtAllocator instances must be valid at the point of memory release.

## GetOutputTypeInfo()

template<typename T >

TypeInfo Ort::detail::ConstSessionImpl< T >::GetOutputTypeInfo | ( | size_t | index | ) | const

Wraps OrtApi::SessionGetOutputTypeInfo.

## GetOverridableInitializerCount()

template<typename T >

size_t Ort::detail::ConstSessionImpl< T >::GetOverridableInitializerCount | ( |  | ) | const

Returns the number of inputs that have defaults that can be overridden.

## GetOverridableInitializerNameAllocated()

template<typename T >

AllocatedStringPtr Ort::detail::ConstSessionImpl< T >::GetOverridableInitializerNameAllocated | ( | size_t | index,
|  | OrtAllocator * | allocator
| ) |  | const

Returns a copy of the overridable initializer name at then specified index.

Parameters

  index | must less than the value returned by GetOverridableInitializerCount()
  allocator | to allocate memory for the copy of the name returned

Returns
  a instance of smart pointer that would deallocate the buffer when out of scope. The OrtAllocator instances must be valid at the point of memory release. Wraps OrtApi::SessionGetOverridableInitializerName

## GetOverridableInitializerTypeInfo()

template<typename T >

TypeInfo Ort::detail::ConstSessionImpl< T >::GetOverridableInitializerTypeInfo | ( | size_t | index | ) | const

Wraps OrtApi::SessionGetOverridableInitializerTypeInfo.

## GetProfilingStartTimeNs()

template<typename T >

uint64_t Ort::detail::ConstSessionImpl< T >::GetProfilingStartTimeNs | ( |  | ) | const

Wraps OrtApi::SessionGetProfilingStartTimeNs.